Bug 6207 - Can't delete item
Summary: Can't delete item
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-04-19 12:07 UTC by Magnus Enger
Modified: 2012-10-25 23:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2011-04-19 12:07:51 UTC
When editing items (e.g. http://head.bibkat.no:8080/cgi-bin/koha/cataloguing/additem.pl?biblionumber=18) clicking on the "Delete" link on the left side of the items table gives this error: 

Can't call method "fields" on an undefined value at /home/magnus/kohahead/C4/Biblio.pm line 2097.

This is because the biblionumber is missing from the link: 

http://head.bibkat.no:8080/cgi-bin/koha/cataloguing/additem.pl?op=delitem&biblionumber=&itemnumber=4

Clicking on a row to get the little inline menu and then clicking "Delete" there works fine.
Comment 1 Chris Cormack 2011-04-19 18:46:05 UTC
Pushed please test
Comment 2 Magnus Enger 2011-05-16 09:30:28 UTC
Clicking the "Delete" link on the left side of the items table works fine in current master.